Package com.emc.documentum.rest.view

# Class LegacyLinkableView

java.lang.Object
com.emc.documentum.rest.view.LegacyLinkableView

Direct Known Subclasses:
  `LinkableView`

@Deprecated public class LegacyLinkableView extends Object
Deprecated.
use LinkableView instead
The deprecated linkable view

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected UriFactory`
  `uriFactory`
  Deprecated.
  `protected UriFactory`
  `uriFactoryNoValidation`
  Deprecated.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `LegacyLinkableView(String repositoryName, UriInfo uriInfo)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected UriFactory`
  `getUriFactory()`
  Deprecated.
  Please use `ResourceUriBuilder` instead to build resource URIs.
  `protected UriFactory`
  `getUriFactory(boolean validate)`
  Deprecated.
  Please use `LinkableView.uriBuilder(String)` to build links.
  `protected UriFactory`
  `getUriFactoryWithoutValidation()`
  Deprecated.
  Please use `LinkableView.uriBuilder(String)` to build links.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### uriFactory

    protected UriFactory uriFactory
    Deprecated.

  - ### uriFactoryNoValidation

    protected UriFactory uriFactoryNoValidation
    Deprecated.

- ## Constructor Details

  - ### LegacyLinkableView

    @Deprecated protected LegacyLinkableView(String repositoryName, UriInfo uriInfo)
    Deprecated.
    the constructor
    Parameters:
      `repositoryName` - the name of the repository
      `uriInfo` - the uri info

- ## Method Details

  - ### getUriFactory

    @Deprecated protected UriFactory getUriFactory(boolean validate)
    Deprecated.
    Please use `LinkableView.uriBuilder(String)` to build links.
    Get the URI factory to build resource URIs.
    Parameters:
      `validate` - explicitly specify whether to enforce validation on resource URI. When the validation is ON, the returning URI is `BaseUriFactory.INACTIVE_URL` if the corresponding resource for the URI is inactive. When validation is OFF, the returning URI is the designed URI for the URI template.
    Returns:
      the URI factory

  - ### getUriFactory

    @Deprecated protected UriFactory getUriFactory()
    Deprecated.
    Please use `ResourceUriBuilder` instead to build resource URIs.
    Get the URI factory to build resource URIs. The validation of the resource URI is implicitly controlled by the global setting `HttpConfig.validateLinkRelation()`
    Returns:
      the URI factory
    See Also:
      - `getUriFactory(boolean)`

  - ### getUriFactoryWithoutValidation

    @Deprecated protected UriFactory getUriFactoryWithoutValidation()
    Deprecated.
    Please use `LinkableView.uriBuilder(String)` to build links.
    Get the URI factory without validating the URI's accessibility.
    Returns:
      the URI factory